include ../Makefile.common

CFLAGS := -pedantic -ansi -DFT_CONFIG_CONFIG_H="<ftconfig.h>" -DFT2_BUILD_LIBRARY -DFT_CONFIG_MODULES_H="<ftmodule.h>" -Iinclude -I../zlib $(CFLAGS)

OBJ = src/autofit/autofit.o \
	src/base/ftsystem.o \
	src/base/ftinit.o \
	src/base/ftdebug.o \
	src/base/ftbase.o \
	src/base/ftglyph.o \
	src/base/ftbbox.o \
	src/base/ftmm.o \
	src/base/ftpfr.o \
	src/base/ftbdf.o \
	src/base/ftbitmap.o \
	src/base/ftwinfnt.o \
	src/bdf/bdf.o \
	src/cache/ftcache.o \
	src/cff/cff.o \
	src/cid/type1cid.o \
	src/gzip/ftgzip.o \
	src/lzw/ftlzw.o \
	src/pcf/pcf.o \
	src/pfr/pfr.o \
	src/psaux/psaux.o \
	src/pshinter/pshinter.o \
	src/psnames/psnames.o \
	src/raster/raster.o \
	src/sfnt/sfnt.o \
	src/smooth/smooth.o \
	src/truetype/truetype.o \
	src/type1/type1.o \
	src/type42/type42.o \
	src/winfonts/winfnt.o
	
LIBNAME = libfreetype.a

all: $(LIBNAME)

$(LIBNAME): $(OBJ)
	@echo Creating archieve $@
	@ar -rcsu $@ $(OBJ)
	@echo
		
clean:
	-@$(RM) src$(SLASH)autofit$(SLASH)*.o
	-@$(RM) src$(SLASH)autofit$(SLASH)*.d

	-@$(RM) src$(SLASH)base$(SLASH)*.o
	-@$(RM) src$(SLASH)base$(SLASH)*.d

	-@$(RM) src$(SLASH)bdf$(SLASH)*.o
	-@$(RM) src$(SLASH)bdf$(SLASH)*.d

	-@$(RM) src$(SLASH)cache$(SLASH)*.o
	-@$(RM) src$(SLASH)cache$(SLASH)*.d

	-@$(RM) src$(SLASH)cff$(SLASH)*.o
	-@$(RM) src$(SLASH)cff$(SLASH)*.d

	-@$(RM) src$(SLASH)cid$(SLASH)*.o
	-@$(RM) src$(SLASH)cid$(SLASH)*.d

	-@$(RM) src$(SLASH)gzip$(SLASH)*.o
	-@$(RM) src$(SLASH)gzip$(SLASH)*.d

	-@$(RM) src$(SLASH)lzw$(SLASH)*.o
	-@$(RM) src$(SLASH)lzw$(SLASH)*.d

	-@$(RM) src$(SLASH)pcf$(SLASH)*.o
	-@$(RM) src$(SLASH)pcf$(SLASH)*.d

	-@$(RM) src$(SLASH)pfr$(SLASH)*.o
	-@$(RM) src$(SLASH)pfr$(SLASH)*.d

	-@$(RM) src$(SLASH)psaux$(SLASH)*.o
	-@$(RM) src$(SLASH)psaux$(SLASH)*.d

	-@$(RM) src$(SLASH)pshinter$(SLASH)*.o
	-@$(RM) src$(SLASH)pshinter$(SLASH)*.d

	-@$(RM) src$(SLASH)psnames$(SLASH)*.o
	-@$(RM) src$(SLASH)psnames$(SLASH)*.d

	-@$(RM) src$(SLASH)raster$(SLASH)*.o
	-@$(RM) src$(SLASH)raster$(SLASH)*.d

	-@$(RM) src$(SLASH)sfnt$(SLASH)*.o
	-@$(RM) src$(SLASH)sfnt$(SLASH)*.d

	-@$(RM) src$(SLASH)smooth$(SLASH)*.o
	-@$(RM) src$(SLASH)smooth$(SLASH)*.d

	-@$(RM) src$(SLASH)truetype$(SLASH)*.o
	-@$(RM) src$(SLASH)truetype$(SLASH)*.d

	-@$(RM) src$(SLASH)type1$(SLASH)*.o
	-@$(RM) src$(SLASH)type1$(SLASH)*.d

	-@$(RM) src$(SLASH)type42$(SLASH)*.o
	-@$(RM) src$(SLASH)type42$(SLASH)*.d

	-@$(RM) src$(SLASH)winfonts$(SLASH)*.o
	-@$(RM) src$(SLASH)winfonts$(SLASH)*.d

	-@$(RM) $(LIBNAME)

